package main

import (
	"bufio"
	"os"

	"timshome.page/gilo/internal/editor"
	"timshome.page/gilo/internal/terminal"
)

func main() {
	// Go to proper raw mode, but restore canonical mode at exit
	oldState := terminal.RawOn()
	defer terminal.RawOff(oldState)

	reader := bufio.NewReader(os.Stdin)

	for editor.ProcessKeypress(reader) {
		// loop!
	}
}
